complexType "ReturnLeg"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 16 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | legIdentifier*, payerPartyReference, payerAccountReference?, receiverPartyReference, receiverAccountReference?, effectiveDate?, terminationDate?, strikeDate?, underlyer, rateOfReturn, notional, amount, return, notionalAdjustments, fxFeature?, averagingDates?
</...>

Content Model Elements (16):

  amount (in returnLeg), averagingDates, effectiveDate (defined in DirectionalLeg complexType), fxFeature (in returnLeg), legIdentifier, notional (in returnLeg), notionalAdjustments, payerAccountReference, | payerPartyReference, rateOfReturn, receiverAccountReference, receiverPartyReference, return, strikeDate, terminationDate (defined in DirectionalLeg complexType), underlyer (in returnLeg)

All Direct / Indirect Based Elements (1):

  returnLeg

Known Usage Locations

- As direct type of elements (1):
  returnLeg

Annotation
A type describing the return leg of a return type swap.
Type Definition Detail

Type Derivation Tree Leg (extension) DirectionalLeg (extension) ReturnSwapLegUnderlyer (extension) ReturnLeg

XML Source (w/o annotations (8); see within schema source)

<xsd:complexType name="ReturnLeg"> <xsd:complexContent> <xsd:extension base="ReturnSwapLegUnderlyer"> <xsd:sequence> <xsd:element name="rateOfReturn" type="ReturnLegValuation"/> <xsd:element name="notional" type="ReturnSwapNotional"/> <xsd:element name="amount" type="ReturnSwapAmount"/> <xsd:element name="return" type="Return"/> <xsd:element name="notionalAdjustments" type="NotionalAdjustmentEnum"/> <xsd:element minOccurs="0" name="fxFeature" type="FxFeature"/> <xsd:element minOccurs="0" name="averagingDates" type="AveragingPeriod"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 7/16)
amount

  Type: | ReturnSwapAmount, complex content

  Specifies, in relation to each Payment Date, the amount to which the Payment Date relates. For return swaps this element is equivalent to the Equity Amount term as defined in the ISDA 2002 Equity Derivatives Definitions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="amount" type="ReturnSwapAmount"/>

averagingDates

  Type: | AveragingPeriod, complex content

  Averaging Dates used in the swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="averagingDates" type="AveragingPeriod"/>

fxFeature

  Type: | FxFeature, complex content

  A quanto or composite FX feature.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fxFeature" type="FxFeature"/>

notional

  Type: | ReturnSwapNotional, complex content

  Specifies the notional of a return type swap. When used in the equity leg, the definition will typically combine the actual amount (using the notional component defined by the FpML industry group) and the determination method. When used in the interest leg, the definition will typically point to the definition of the equity leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="notional" type="ReturnSwapNotional"/>

notionalAdjustments

  Type: | NotionalAdjustmentEnum, simple content

  Specifies the conditions that govern the adjustment to the number of units of the return swap.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Execution" | - | The adjustments to the number of units are governed by an execution clause. See: http://www.FpML.org
  "PortfolioRebalancing" | - | The adjustments to the number of units are governed by a portfolio rebalancing clause. See: http://www.FpML.org
  "Standard" | - | The adjustments to the number of units are not governed by any specific clause. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="notionalAdjustments" type="NotionalAdjustmentEnum"/>

rateOfReturn

  Type: | ReturnLegValuation, complex content

  Specifies the terms of the initial price of the return type swap and of the subsequent valuations of the underlyer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="rateOfReturn" type="ReturnLegValuation"/>

return

  Type: | Return, complex content

  Specifies the conditions under which dividend affecting the underlyer will be paid to the receiver of the amounts.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="return" type="Return"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.